Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Enum Class MetadataPattern.ConditionType

java.lang.Object
java.lang.Enum<MetadataPattern.ConditionType>
org.firebirdsql.jdbc.metadata.MetadataPattern.ConditionType

All Implemented Interfaces:
  `Serializable`, `Comparable<MetadataPattern.ConditionType>`, `Constable`

Enclosing class:
  MetadataPattern

public static enum MetadataPattern.ConditionType extends Enum<MetadataPattern.ConditionType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `SQL_EQUALS`
  `SQL_IS_NULL`
  `SQL_LIKE`
  `SQL_STARTING_WITH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetadataPattern.ConditionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MetadataPattern.ConditionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final MetadataPattern.ConditionType NONE

  - ### SQL_LIKE

    public static final MetadataPattern.ConditionType SQL_LIKE

  - ### SQL_EQUALS

    public static final MetadataPattern.ConditionType SQL_EQUALS

  - ### SQL_STARTING_WITH

    public static final MetadataPattern.ConditionType SQL_STARTING_WITH

  - ### SQL_IS_NULL

    public static final MetadataPattern.ConditionType SQL_IS_NULL

- ## Method Details

  - ### values

    public static MetadataPattern.ConditionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MetadataPattern.ConditionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null